Gajim - 2018-11-28


  1. bot mulles created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9462 >: #9462: < Bug during runtime >
  2. bot Philipp Hörist closed an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9462 >: #9462: < Bug during runtime >
  3. zuglufttier What exactly do I need to disable in gajim for a muc so that OMEMO is not possible? I want to have control of the members though.
  4. lovetox you cant
  5. lovetox ah no
  6. lovetox omemo is only disable if the room is anonymous
  7. zuglufttier How do I set it to anonymous then?
  8. daniel zuglufttier, in room config you can choose who can see JIDs
  9. zuglufttier So, I choose between "anybody" and "moderators"?
  10. zuglufttier I set "Present real Jabber IDs to" "Moderators Only".
  11. zuglufttier Gajim does not care.
  12. zuglufttier Must be something on my side, I guess ;)
  13. zuglufttier Working now!
  14. zuglufttier You need at least to disconnect from the room completely.
  15. daniel Hm, I think this is a known issue.. UX could definitively be better there
  16. zuglufttier I restarted my server to be sure that all clients get that option...
  17. bot Marc created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9463 >: #9463: < Group chat "minimize on join" occasionally lost >
  18. bot Philipp Hörist modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9463 >: #9463: < Group chat "minimize on join" occasionally lost >
  19. bot Philipp Hörist modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9463 >: #9463: < Group chat "minimize on join" occasionally lost >
  20. Nothing4You Gajim needs python-nbxmpp >= 0.9.90 to run. Quitting...
  21. Nothing4You when will that be on pypi?
  22. Nothing4You asterix
  23. asterix Not now. Changes are in progress.
  24. Nothing4You should i avoid updating my gajim for now then?
  25. asterix You use gajim nightly, so use nbxmpp nightly too
  26. Nothing4You i use gajim from git
  27. Nothing4You on osx on this system
  28. asterix Then do the same for nbzmpp
  29. Nothing4You simple enough
  30. Nothing4You pip3 install --upgrade git+https://dev.gajim.org/gajim/python-nbxmpp.git
  31. Nothing4You there used to be a setting whether a muc is minimized on start
  32. Nothing4You i can't find it anymore
  33. Nothing4You oh nevermind, i just found the bookmark manager again
  34. uwe Hi. I'm currently having problems updating my plugins. The verbose output is "AttributeError: module 'gajim.common.app' has no attribute 'PLUGINS_DIRS'". I can give the full log if required. Has anyone seen this before?
  35. lovetox no
  36. lovetox as in no we dont need the logs
  37. lovetox yes ive seen it
  38. lovetox what os do you use?
  39. uwe I'm on Arch, Gajim is version 1.1.0
  40. uwe The log line before the Python exception is: 28.11.2018 20:36:34 (E) gajim.plugin_system.plugin_installer: Error fetching plugin list
  41. uwe Plugin Installer is version 0.20.3
  42. uwe I know there is version 0.20.4 available but can't update due to the error
  43. uwe I'll be back in a sec, just restarting without verbose setting
  44. lovetox ./local/Gajim/plugins
  45. lovetox delete the plugin_installer
  46. lovetox restart Gajim
  47. lovetox ./local/share/Gajim/plugins
  48. lovetox uwe,
  49. uwe ok, I'll try
  50. uwe give me a minute
  51. uwe lovetox: thanks, that did the trick. Interesstingly this updated the plugin installer to 1.1.3 although 1.1.4 was available as update
  52. lovetox we ship the correct plugin installer
  53. lovetox but the one in user dir is prefered
  54. lovetox and this one was broken
  55. uwe ah, that explains it. Thanks again
  56. unclechu hi there. most of the gajim plugins are incompatible with gajim 1.1.x, am i right?
  57. lovetox no
  58. unclechu i just cloned gajim_1.1 and started it by ./launch.py and here the warnings i get https://paste.gajim.org/view/36c6bbad
  59. unclechu and i see no installed plugins inside
  60. lovetox yeah you have to use the plugins from the corresponding branch
  61. bot André created an issue in _python-nbxmpp_ < https://dev.gajim.org/gajim/python-nbxmpp/issues/61 >: #61: < Drop support for TLS 1.1 and older >
  62. bot André modified an issue in _python-nbxmpp_ < https://dev.gajim.org/gajim/python-nbxmpp/issues/61 >: #61: < Drop support for TLS 1.1 and older >